## org.emboss.jemboss.gui.form
Class SetInFileCard

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.form.SetInFileCard

public class SetInFileCard
extends java.lang.Object

Field Summary
`private javax.swing.Box` `boxFile`
`private CutNPasteTextArea` `cutnPaste`
`private FileChooser` `fileChoose`
`private int` `h`
`private InputSequenceAttributes[]` `inSeqAttr`
`private boolean` `isCut`
`private boolean` `isFile`
`private boolean` `isList`
`private ListFilePanel` `listPane`

Constructor Summary
`SetInFileCard(javax.swing.JPanel sectionPane, int h, java.lang.String[] db, java.lang.String name, java.lang.String appName, InputSequenceAttributes[] inSeqAttr, boolean fopt, JembossParams mysettings)` Build the GUI components for an input sequence(s).

Method Summary
`void` `doReset()`
`java.lang.String[]` `getArrayListFile()`
`java.lang.String` `getCutNPasteText()`
`java.lang.String` `getFileChosen()`
`protected javax.swing.Box` `getInCard()`
`java.lang.String` `getListFile()`
`java.lang.String` `getSequence(int n)`
`boolean` `isCutNPase()`
`boolean` `isFileName()`
`boolean` `isListFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### boxFile

    private javax.swing.Box boxFile

### isFile

    private boolean isFile

### isCut

    private boolean isCut

### isList

    private boolean isList

### fileChoose

    private FileChooser fileChoose

### cutnPaste

    private CutNPasteTextArea cutnPaste

### listPane

    private ListFilePanel listPane

### inSeqAttr

    private InputSequenceAttributes[] inSeqAttr

### h

    private int h

Constructor Detail

### SetInFileCard

    public SetInFileCard(javax.swing.JPanel sectionPane,
                         int h,
                         java.lang.String[] db,
                         java.lang.String name,
                         java.lang.String appName,
                         InputSequenceAttributes[] inSeqAttr,
                         boolean fopt,
                         JembossParams mysettings)

  Build the GUI components for an input sequence(s).

Parameters:
  `sectionPane` - acd section panel
  `h` - GUI handle
  `db` - database list
  `name` - for the file card
  `appName` - application name
  `inSeqAttr` - input sequence attributes

Method Detail

### getInCard

    protected javax.swing.Box getInCard()

### isFileName

    public boolean isFileName()

### isCutNPase

    public boolean isCutNPase()

### isListFile

    public boolean isListFile()

### getFileChosen

    public java.lang.String getFileChosen()

### getCutNPasteText

    public java.lang.String getCutNPasteText()

### getListFile

    public java.lang.String getListFile()

### getArrayListFile

    public java.lang.String[] getArrayListFile()

### getSequence

    public java.lang.String getSequence(int n)

### doReset

    public void doReset()